# Uses of Class
org.apache.commons.math3.stat.clustering.EuclideanIntegerPoint

Packages that use EuclideanIntegerPoint
Package
Description
org.apache.commons.math3.stat.clustering
All classes and sub-packages of this package are deprecated.

## Uses of EuclideanIntegerPoint in org.apache.commons.math3.stat.clustering

Methods in org.apache.commons.math3.stat.clustering that return EuclideanIntegerPoint
Modifier and Type
Method
Description
`EuclideanIntegerPoint`
EuclideanIntegerPoint.`centroidOf(Collection<EuclideanIntegerPoint> points)`
Deprecated.
Returns the centroid of the given Collection of points.
Methods in org.apache.commons.math3.stat.clustering with parameters of type EuclideanIntegerPoint
Modifier and Type
Method
Description
`double`
EuclideanIntegerPoint.`distanceFrom(EuclideanIntegerPoint p)`
Deprecated.
Returns the distance from the given point.
Method parameters in org.apache.commons.math3.stat.clustering with type arguments of type EuclideanIntegerPoint
Modifier and Type
Method
Description
`EuclideanIntegerPoint`
EuclideanIntegerPoint.`centroidOf(Collection<EuclideanIntegerPoint> points)`
Deprecated.
Returns the centroid of the given Collection of points.